# ``twisted`.`internet`.`interfaces`.`ILoggingContext``

interface documentation

`class ILoggingContext(Interface): (source)`

Known subclasses: `twisted.internet.interfaces.IFileDescriptor`

Known implementations: `twisted.internet.protocol.DatagramProtocol`, `twisted.internet.protocol.Factory`, `twisted.internet.protocol.Protocol`, `twisted.internet.abstract._LogOwner`

View In Hierarchy

Give context information that will be used to log events generated by this item.

Method | `logPrefix` |

def logPrefix(): (source)

Returns
`str` | Prefix used during log formatting to indicate context.